---
title: "Les procédures"
weight: 5.1
---

<script src="/rmarkdown-libs/header-attrs/header-attrs.js"></script>


<div id="distinction-entre-fonctions-et-procédures" class="section level3">
<h3>Distinction entre fonctions et procédures</h3>
<p>Une distinction est parfois faite entre une fonction, qui retourne un objet qui peut être stocké dans l’environnement global et une procédure.</p>
<p>Une procédure ne retourne pas forcément un objet, mais par exemple, crée un fichier, installe un paquet, supprime un objet de l’environnement…</p>
<p>Dans R la distinction entre procédure et fonction n’est pas faite.</p>
</div>
<div id="exemple" class="section level3">
<h3>Exemple</h3>
<p>Pour afficher l’aide sur un objet, il suffit d’utiliser la fonction <code>help</code>:</p>
<pre class="r"><code>help(sum)</code></pre>
<p>S’affiche ensuite l’aide dans l’onglet help.</p>
</div>
